orb = eleload('run0_errors.orb');
cor = eleload('run0_errors.cor');

s        = elegetcolumn(orb{1},'s');
elname   = orb{1}.columns.ElementName;
k = 0;
for i=1:length(elname)
    if strfind(elname(i,:),'HBPM')==1
        k = k+1;
        iHBPM(k) = i;
    end
end
k = 0;
for i=1:length(elname)
    if strfind(elname(i,:),'VBPM')==1
        k = k+1;
        iVBPM(k) = i;
    end
end

x_before = elegetcolumn(orb{1},'x');
y_before = elegetcolumn(orb{1},'y');

x_after = elegetcolumn(orb{2},'x');
y_after = elegetcolumn(orb{2},'y');

figure(111); clf
subplot(2,1,1); hold on; box on; grid on 

plot(s,x_before*1e3,'b'); axis([0 529 -1.5 1.5])
plot(s(iHBPM), x_before(iHBPM)*1e3,'bo');
plot(s,y_before*1e3,'r');
plot(s(iVBPM), y_before(iVBPM)*1e3,'ro');
ax = mean(x_before(iHBPM)*1e6);
sx = std(x_before(iHBPM)*1e6);
ay = mean(y_before(iVBPM)*1e6);
sy = std(y_before(iVBPM)*1e6);
text(50,1.3,['x = ' num2str(ax,4) '+/-' num2str(sx,4) ' (um)'])
text(50,0.9,['y = ' num2str(ay,4) '+/-' num2str(sy,4) ' (um)'])

xlabel('S (m)'); ylabel('orb (mm)')

subplot(2,1,2); hold on; box on; grid on 

plot(s,x_after*1e6,'b'); axis([0 529 -15 15])
plot(s(iHBPM), x_after(iHBPM)*1e6,'bo');
plot(s,y_after*1e6,'r');
plot(s(iVBPM), y_after(iVBPM)*1e6,'ro');
xlabel('S (m)'); ylabel('orb (\mum)');

ax = mean(x_after(iHBPM)*1e6);
sx = std(x_after(iHBPM)*1e6);
ay = mean(y_after(iVBPM)*1e6);
sy = std(y_after(iVBPM)*1e6);
text(50,13,['x = ' num2str(ax,3) '+/-' num2str(sx,4) ' (um)'])
text(50,9,['y = ' num2str(ay,3) '+/-' num2str(sy,4) ' (um)'])

figure(112); clf; hold on
shcm  = elegetcolumn(cor{1},'s');
hcm  = elegetcolumn(cor{1},'Kick');
svcm  = elegetcolumn(cor{2},'s');
vcm  = elegetcolumn(cor{2},'Kick');



stem(shcm,hcm*1e6,'marker','none','linewidth',3,'color','b')
stem(svcm,vcm*1e6,'marker','none','linewidth',3,'color','r')

%stem(cor{2}.columns.data(1,:),cor{2}.columns.data(2,:),'marker','none')
xlabel('S (m)'); ylabel('CM (\murad)')
axis([0 529 -50 50]); grid on; box on